# samples/09_camera_jpeg_capture/main.cpp File Reference

`#include "Error.h"`
`#include "Thread.h"`
`#include <Argus/Argus.h>`
`#include <EGLStream/EGLStream.h>`
`#include <EGLStream/NV/ImageNativeBuffer.h>`
`#include <NvEglRenderer.h>`
`#include <NvJpegEncoder.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <getopt.h>`
`#include <iostream>`
`#include <fstream>`

Go to the source code of this file.

## Classes

class | ArgusSamples::ConsumerThread
class | ArgusSamples::PreviewConsumerThread
class | ArgusSamples::CaptureConsumerThread

## Namespaces

namespace | ArgusSamples

## Defines

#define | JPEG_BUFFER_SIZE (CAPTURE_SIZE.width * CAPTURE_SIZE.height * 3 / 2)
#define | PRODUCER_PRINT(...) printf("PRODUCER: " __VA_ARGS__)
#define | CONSUMER_PRINT(...) printf("CONSUMER: " __VA_ARGS__)

## Functions

int | main (int argc, char *argv[])

## Define Documentation

#define CONSUMER_PRINT | ( | ... |  | ) | printf("CONSUMER: " __VA_ARGS__)

Definition at line 63 of file main.cpp.

#define JPEG_BUFFER_SIZE (CAPTURE_SIZE.width * CAPTURE_SIZE.height * 3 / 2)

Definition at line 59 of file main.cpp.

#define PRODUCER_PRINT | ( | ... |  | ) | printf("PRODUCER: " __VA_ARGS__)

Definition at line 62 of file main.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 455 of file main.cpp.